Name:           python-pretalx-vimeo
Version:        2.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Static vimeo for pretalx, e.g. information, venue listings, a Code of Conduct, etc.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/pretalx/pretalx-vimeo
Source:         %{pypi_source pretalx_vimeo}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pretalx-vimeo' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pretalx-vimeo
Summary:        %{summary}

%description -n python3-pretalx-vimeo %_description


%prep
%autosetup -p1 -n pretalx_vimeo-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pretalx-vimeo -f %{pyproject_files}


%changelog
%autochangelog